# About Olivero

Olivero is the default theme for Drupal 10. It is a flexible, colorable theme
with a responsive and mobile-first layout, supporting 13 regions.

The Olivero theme is named after Rachel Olivero, a member of our community who
died in 2019.

This theme is not intended to be used as a base theme.

## About Rachel Olivero

This theme was created in memory of Rachel Olivero. Rachel engaged with the
communities that she was involved in to make them more inclusive. As a techie
who was also a blind, transgender lesbian, she understood the importance of
greater diversity, inclusion, and belonging.

You can find a more detailed celebration of [Rachel's life on Drupal.org](
https://www.drupal.org/forum/general/community-spotlight/2019-02-22/remembering-rachel-olivero),
and from the [National Federation of the Blind (NFB)](
https://nfb.org/images/nfb/publications/bm/bm19/bm1904/bm190405.htm) where she
led many of their IT projects.

When looking for inspiration for a new default theme for Drupal, the community
was inspired by Rachel's example. The front-end developers worked hard with the
Drupal Accessibility Team, [as well as with the NFB](
https://nfb.org/about-us/press-room/new-drupal-theme-honors-rachel-olivero) to
make this theme an example. We wanted to build an attractive, modern, and very
accessible theme that would have made Rachel proud.

We hope you find inspiration in this theme and its origin story to stretch
yourself to find ways to make your work more accessible to everyone. We also ask
that you [engage with the Drupal community](
https://www.drupal.org/node/add/project-issue/drupal), should you find ways to
make it a better user experience for everyone. Yes, we want to meet the
latest [WCAG recommendations](https://www.w3.org/WAI/standards-guidelines/wcag/),
but know that this isn't the ceiling to reach too, but rather the floor to build
on.

Drupal has over 20 years of evolving with the internet, and know that this is a
journey, where we can all strive to be better today than we were yesterday.

## About Drupal Theming

For more information, see Drupal.org [theming guide](
https://www.drupal.org/docs/develop/theming-drupal).
